Solid Edge Framework Type Library
GetSEECOrTCPreferenceValues Method

This is two dimensional array. Each row represents preference information. Each column will contain in and out information.

  1. First column represents preference name. (in) This is mandatory.
  2. Second column represents preference value in variant. (out)
Please note that caller should create two dimensional array with 2 columns otherwise API fails with invalid argument. The caller should provide preference names in first column only.
Description
Gets TC or SEEC preference value
Syntax
Visual Basic
Public Sub GetSEECOrTCPreferenceValues( _
   ByRef pvarPreferenceInfo As Variant _
) 
Parameters
pvarPreferenceInfo

This is two dimensional array. Each row represents preference information. Each column will contain in and out information.

  1. First column represents preference name. (in) This is mandatory.
  2. Second column represents preference value in variant. (out)
Please note that caller should create two dimensional array with 2 columns otherwise API fails with invalid argument. The caller should provide preference names in first column only.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim PreferenceInfo(1, 1) As Object
    Dim PreferenceValue As Object
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    'Example takes two preference names
    PreferenceInfo(0, 0) = "TC_Allow_Longer_ID_Name"
    PreferenceInfo(1, 0) = "SEEC_BOM_Synchronize"
    
    Call objTCE.GetSEECOrTCPreferenceValues(PreferenceInfo)

    'Boolean value true or false for preference TC_Allow_Longer_ID_Name
    PreferenceValue = PreferenceInfo(0, 1)
    'Boolean value true or false for preference SEEC_BOM_Synchronize
    PreferenceValue = PreferenceInfo(1, 1)

    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge ST2 - What's New